Bug 1371179 - metricsPublicURL should be configured on all masters
Summary: metricsPublicURL should be configured on all masters
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-29 13:52 UTC by Gaoyun Pei
Modified: 2016-09-19 13:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:29:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Gaoyun Pei 2016-08-29 13:52:39 UTC
Description of problem:
When openshift-ansible running step "Configure master for metrics", it only work on the first master.

Version-Release number of selected component (if applicable):
openshift-ansible-3.3.16-1.git.0.9ed3fd2.el7.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1.Install an HA master env with openshift_hosted_metrics_deploy=true enabled


Actual results:
Only the first master has metricsPublicURL configured. 
[root@gpei-test-33-ha-master-1 ~]# grep metricsPublicURL /etc/origin/master/master-config.yaml
  metricsPublicURL: https://hawkular-metrics.x.x.com/hawkular/metrics

[root@gpei-test-33-ha-master-2 ~]# grep metricsPublicURL /etc/origin/master/master-config.yaml
[root@gpei-test-33-ha-master-2 ~]#


Expected results:
All masters should have correct metricsPublicURL configuration

Additional info:

Comment 3 Gaoyun Pei 2016-08-31 01:05:12 UTC
Verify this bug with openshift-ansible-3.3.18-1.git.0.a2e63a0.el7.noarch.rpm

After installation, metricsPublicURL was configured on all masters.


Note You need to log in before you can comment on or make changes to this bug.